--[[

   Name: MountMod.lua
   Date: 21-10-10
 Author: Vitruviusxv

 Version notes:

      - 1.4 
	         
			 Complete re-write (cleanup)
			 Cleaned up the GUI even more
			 Added ur current mount icons
			 Added Keybinding functionality

]]

--__________________________________________________________
-- KEYBINDINGS

BINDING_HEADER_MOUNTING = "mount Mod"
BINDING_NAME_MOUNT = "Mount"
BINDING_NAME_CONFIG = "Mount Selection Page"
BINDING_NAME_LAND = "Summon Land Mount"
BINDING_NAME_FLY = "Summon Flying Mount"

--__________________________________________________________
-- LOCALS

local prefix = "\124cFF00FF00<MountMod>\124cFFFFFFFF"
local CURRENT_VERSION = 1.5

local MountModFrame = CreateFrame("Frame",nil,UIParent)
local MountModTimer = CreateFrame("Frame")

local LandMounts = {}

LandMounts["Acherus Deathcharger"] = 1
LandMounts["Amani War Bear"] = 1
LandMounts["Ancient Frostsaber"] = 1
LandMounts["Argent Charger"] = 1
LandMounts["Argent Warhorse"] = 1
LandMounts["Armored Brown Bear"] = 1
LandMounts["Big Battle Bear"] = 1
LandMounts["Big Blizzard Bear"] = 1
LandMounts["Black Battlestrider"] = 1
LandMounts["Black Hawkstrider"] = 1
LandMounts["Black Nightsaber"] = 1
LandMounts["Black Ram"] = 1
LandMounts["Black Skeletal Horse"] = 1
LandMounts["Black Stallion"] = 1
LandMounts["Black War Bear"] = 1
LandMounts["Black War Elekk"] = 1
LandMounts["Black War Kodo"] = 1
LandMounts["Black War Mammoth"] = 1
LandMounts["Black War Ram"] = 1
LandMounts["Black War Raptor"] = 1
LandMounts["Black War Steed"] = 1
LandMounts["Black War Tiger"] = 1
LandMounts["Black War Wolf"] = 1
LandMounts["Black Wolf"] = 1
LandMounts["Blue Hawkstrider"] = 1
LandMounts["Blue Mechanostrider"] = 1
LandMounts["Blue Skeletal Horse"] = 1
LandMounts["Blue Skeletal Warhorse"] = 1
LandMounts["Brewfest Kodo"] = 1
LandMounts["Brewfest Ram"] = 1
LandMounts["Brown Elekk"] = 1
LandMounts["Brown Horse"] = 1
LandMounts["Brown Kodo"] = 1
LandMounts["Brown Ram"] = 1
LandMounts["Brown Skeletal Horse"] = 1
LandMounts["Brown Wolf"] = 1
LandMounts["Celestial Steed"] = 1
LandMounts["Chestnut Mare"] = 1
LandMounts["Cobalt Riding Talbuk"] = 1
LandMounts["Cobalt War Talbuk"] = 1
LandMounts["Crimson Deathcharger"] = 1
LandMounts["Crusader's Black Warhorse"] = 1
LandMounts["Crusader's White Warhorse"] = 1
LandMounts["Dark Riding Talbuk"] = 1
LandMounts["Dark War Talbuk"] = 1
LandMounts["Darkspear Raptor"] = 1
LandMounts["Darnissian Nightsaber"] = 1
LandMounts["Dire Wolf"] = 1
LandMounts["Dreadsteed"] = 1
LandMounts["Emerald Raptor"] = 1
LandMounts["Exodar Elekk"] = 1
LandMounts["Felsteed"] = 1
LandMounts["Fiery Warhorse"] = 1
LandMounts["Forsaken Warhorse"] = 1
LandMounts["Frost Ram"] = 1
LandMounts["Frostwolf Howler"] = 1
LandMounts["Gnomeregan Mechanostrider"] = 1
LandMounts["Grand Black War Mammoth"] = 1
LandMounts["Grand Ice Mammoth"] = 1
LandMounts["Gray Elekk"] = 1
LandMounts["Gray Kodo"] = 1
LandMounts["Gray Ram"] = 1
LandMounts["Great Blue Elekk"] = 1
LandMounts["Great Brewfest Kodo"] = 1
LandMounts["Great Brown Kodo"] = 1
LandMounts["Great Golden Kodo"] = 1
LandMounts["Great Gray Kodo"] = 1
LandMounts["Great Green Elekk"] = 1
LandMounts["Great Purple Elekk"] = 1
LandMounts["Great Red Elekk"] = 1
LandMounts["Great White Kodo"] = 1
LandMounts["Green Kodo"] = 1
LandMounts["Green Mechanostrider"] = 1
LandMounts["Green Skeletal Warhorse"] = 1
LandMounts["Headless Horseman's Mount"] = 1
LandMounts["Ice Mammoth"] = 1
LandMounts["Icy Blue Mechanostrider Mod A"] = 1
LandMounts["Invincible"] = 1
LandMounts["Ironforge Ram"] = 1
LandMounts["Ivory Raptor"] = 1
LandMounts["Magic Rooster"] = 1
LandMounts["Mechano-hog"] = 1
LandMounts["Mekgineer's Chopper"] = 1
LandMounts["Mottled Red Raptor"] = 1
LandMounts["Ochre Skeletal Warhorse"] = 1
LandMounts["Orgrimmar Wolf"] = 1
LandMounts["Palomino"] = 1
LandMounts["Pinto"] = 1
LandMounts["Purple Elekk"] = 1
LandMounts["Purple Hawkstrider"] = 1
LandMounts["Purple Skeletal Warhorse"] = 1
LandMounts["Quel'dorei Steed"] = 1
LandMounts["Red Hawkstrider"] = 1
LandMounts["Red Mechanostrider"] = 1
LandMounts["Red Skeletal Horse"] = 1
LandMounts["Red Skeletal Warhorse"] = 1
LandMounts["Red Wolf"] = 1
LandMounts["Riding Turtle"] = 1
LandMounts["Rivendare's Deathcharger"] = 1
LandMounts["Sea Turtle"] = 1
LandMounts["Silver Riding Talbuk"] = 1
LandMounts["Silver War Talbuk"] = 1
LandMounts["Silvermoon Hawkstrider"] = 1
LandMounts["Spectral Tiger"] = 1
LandMounts["Spotted Frostsaber"] = 1
LandMounts["Stormpike Battle Charger"] = 1
LandMounts["Stormwind Steed"] = 1
LandMounts["Striped Dawnsaber"] = 1
LandMounts["Striped Frostsaber"] = 1
LandMounts["Striped Nightsaber"] = 1
LandMounts["Sunreaver Hawkstrider"] = 1
LandMounts["Swift Alliance Steed"] = 1
LandMounts["Charger"] = 1
LandMounts["Warhorse"] = 1
LandMounts["Swift Blue Raptor"] = 1
LandMounts["Swift Brewfest Ram"] = 1
LandMounts["Swift Brown Ram"] = 1
LandMounts["Swift Brown Steed"] = 1
LandMounts["Swift Brown Wolf"] = 1
LandMounts["Swift Burgundy Wolf"] = 1
LandMounts["Swift Frostsaber"] = 1
LandMounts["Swift Gray Ram"] = 1
LandMounts["Swift Gray Steed"] = 1
LandMounts["Swift Gray Wolf"] = 1
LandMounts["Swift Green Hawkstrider"] = 1
LandMounts["Swift Green Mechanostrider"] = 1
LandMounts["Swift Horde Wolf"] = 1
LandMounts["Swift Mistsaber"] = 1
LandMounts["Swift Moonsaber"] = 1
LandMounts["Swift Olive Raptor"] = 1
LandMounts["Raven Lord"] = 1
LandMounts["Swift Orange Raptor"] = 1
LandMounts["Swift Palomino"] = 1
LandMounts["Swift Pink Hawkstrider"] = 1
LandMounts["Swift Purple Hawkstrider"] = 1
LandMounts["Swift Purple Raptor"] = 1
LandMounts["Swift Razzashi Raptor"] = 1
LandMounts["Swift Red Hawkstrider"] = 1
LandMounts["Swift Spectral Tiger"] = 1
LandMounts["Swift Stormsaber"] = 1
LandMounts["Swift Timber Wolf"] = 1
LandMounts["Swift Violet Ram"] = 1
LandMounts["Swift Warstrider"] = 1
LandMounts["Swift White Hawkstrider"] = 1
LandMounts["Swift White Mechanostrider"] = 1
LandMounts["Swift White Ram"] = 1
LandMounts["Swift White Steed"] = 1
LandMounts["Swift Yellow Mechanostrider"] = 1
LandMounts["Swift Zhevra"] = 1
LandMounts["Swift Zulian Tiger"] = 1
LandMounts["Tan Riding Talbuk"] = 1
LandMounts["Tan War Talbuk"] = 1
LandMounts["Teal Kodo"] = 1
LandMounts["Thunder Bluff Kodo"] = 1
LandMounts["Timber Wolf"] = 1
LandMounts["Traveler's Tundra Mammoth"] = 1
LandMounts["Turbostrider"] = 1
LandMounts["Turquoise Raptor"] = 1
LandMounts["Unpainted Mechanostrider"] = 1
LandMounts["Venomhide Ravasaur"] = 1
LandMounts["Violet Raptor"] = 1
LandMounts["White Kodo"] = 1
LandMounts["White Mechanostrider Mod B"] = 1
LandMounts["White Polar Bear"] = 1
LandMounts["White Ram"] = 1
LandMounts["White Riding Talbuk"] = 1
LandMounts["White Skeletal Warhorse"] = 1
LandMounts["White Stallion"] = 1
LandMounts["White War Talbuk"] = 1
LandMounts["Winter Wolf"] = 1
LandMounts["Winterspring Frostsaber"] = 1
LandMounts["Wooly Mammoth"] = 1
LandMounts["Wooly White Rhino"] = 1

local FlyingMounts = {}

FlyingMounts["Albino Drake"] = 1
FlyingMounts["Argent Hippogryph"] = 1
FlyingMounts["Armored Blue Wind Rider"] = 1
FlyingMounts["Armored Snowy Gryphon"] = 1
FlyingMounts["Ashes of Al'ar"] = 1
FlyingMounts["Azure Drake Mount"] = 1
FlyingMounts["Azure Netherwing Drake"] = 1
FlyingMounts["Big Love Rocket"] = 1
FlyingMounts["Black Drake Mount"] = 1
FlyingMounts["Black Proto-Drake"] = 1
FlyingMounts["Blazing Hippogryph"] = 1
FlyingMounts["Bloodbathed Frostbrood Vanquisher"] = 1
FlyingMounts["Blue Dragonhawk"] = 1
FlyingMounts["Blue Drake"] = 1
FlyingMounts["Blue Proto-Drake"] = 1
FlyingMounts["Blue Riding Nether Ray"] = 1
FlyingMounts["Blue Wind Rider"] = 1
FlyingMounts["Bronze Drake Mount"] = 1
FlyingMounts["Brutal Nether Drake"] = 1
FlyingMounts["Celestial Steed"] = 1
FlyingMounts["Cenarion War Hippogryph"] = 1
FlyingMounts["Cobalt Netherwing Drake"] = 1
FlyingMounts["Deadly Gladiator's Frost Wyrm"] = 1
FlyingMounts["Ebon Gryphon"] = 1
FlyingMounts["Flying Carpet"] = 1
FlyingMounts["Flying Machine"] = 1
FlyingMounts["Frosty Flying Carpet"] = 1
FlyingMounts["Furious Gladiator's Frost Wyrm"] = 1
FlyingMounts["Golden Gryphon"] = 1
FlyingMounts["Green Proto-Drake"] = 1
FlyingMounts["Green Riding Nether Ray"] = 1
FlyingMounts["Green Wind Rider"] = 1
FlyingMounts["Headless Horseman's Mount"] = 1
FlyingMounts["Icebound Frostbrood Vanquisher"] = 1
FlyingMounts["Invincible"] = 1
FlyingMounts["Ironbound Proto-Drake"] = 1
FlyingMounts["Magnificent Flying Carpet"] = 1
FlyingMounts["Merciless Nether Drake"] = 1
FlyingMounts["Mimiron's Head"] = 1
FlyingMounts["Onyx Netherwing Drake"] = 1	
FlyingMounts["Onyxian Drake"] = 1
FlyingMounts["Peep the Phoenix Mount"] = 1
FlyingMounts["Plagued Proto-Drake"] = 1
FlyingMounts["Purple Netherwing Drake"] = 1
FlyingMounts["Purple Riding Nether Ray"] = 1
FlyingMounts["Red Dragonhawk"] = 1
FlyingMounts["Red Drake"] = 1
FlyingMounts["Red Proto-Drake"] = 1
FlyingMounts["Red Riding Nether Ray"] = 1
FlyingMounts["Relentless Gladiator's Frost Wyrm"] = 1
FlyingMounts["Rusted Proto-Drake"] = 1
FlyingMounts["Silver Covenant Hippogryph"] = 1
FlyingMounts["Silver Riding Nether Ray"] = 1
FlyingMounts["Snowy Gryphon"] = 1
FlyingMounts["Sunreaver Dragonhawk"] = 1
FlyingMounts["Swift Blue Gryphon"] = 1
FlyingMounts["Swift Green Gryphon"] = 1
FlyingMounts["Swift Green Wind Rider"] = 1
FlyingMounts["Swift Nether Drake"] = 1
FlyingMounts["Swift Purple Gryphon"] = 1
FlyingMounts["Swift Purple Wind Rider"] = 1
FlyingMounts["Swift Red Gryphon"] = 1
FlyingMounts["Swift Red Wind Rider"] = 1
FlyingMounts["Swift Yellow Wind Rider"] = 1
FlyingMounts["Tawny Wind Rider"] = 1
FlyingMounts["Time-Lost Proto-Drake"] = 1
FlyingMounts["Turbo-Charged Flying Machine"] = 1
FlyingMounts["Twilight Drake"] = 1
FlyingMounts["Vengeful Nether Drake"] = 1
FlyingMounts["Veridian Netherwing Drake"] = 1
FlyingMounts["Violet Netherwing Drake"] = 1
FlyingMounts["Violet Proto-Drake"] = 1
FlyingMounts["Winged Steed of the Ebon Blade"] = 1
FlyingMounts["Wrathful Gladiator's Frost Wyrm"] = 1
FlyingMounts["X-51 Nether-Rocket"] = 1
FlyingMounts["X-51 Nether-Rocket X-TREME"] = 1
FlyingMounts["X-53 Touring Rocket"] = 1

local RedoDropDowns = function()

-- LAND MOUNT
	  
      if not LandMountDrop then
         LandMountDrop = CreateFrame("Frame", "DropDownMenuLand", MountModFrame, "UIDropDownMenuTemplate")
      end
 
      DropDownMenuLand:ClearAllPoints()
      DropDownMenuLand:SetPoint("CENTER",MountModFrame,"CENTER",-65,-55)
      DropDownMenuLand:Show()
 
      local items = {}

      for i=1,GetNumCompanions("MOUNT") do

         local name = select(2,GetCompanionInfo("MOUNT",i))
		 
		 if (LandMounts[name]) then
		 
            items[i] = name

		 end -- it's a land mount
			
      end -- FOR
 
      local function LandOnClick(self)
	  
         UIDropDownMenu_SetSelectedID(DropDownMenuLand, self:GetID())	  
         MountModSettings.LandMount = (self.value)
		 MountModSettings.LandMountValue = self:GetID()
         local mountName,_,mountTexture = select(2,GetCompanionInfo("MOUNT",MountModSettings.LandMount))
         MountModLandIcon.Texture:SetTexture(mountTexture)	  
         UIErrorsFrame:AddMessage("Land Mount Changed : "..mountName,1,0.5,0,1)
         PlaySoundFile("Sound\\interface\\KeyRingOpen.wav")
	  
      end
 
      local function initialize(self, level)
         local info = UIDropDownMenu_CreateInfo()

         for k,v in pairs(items) do

            info = UIDropDownMenu_CreateInfo()
            info.text = v
            info.value = k
            info.func = LandOnClick
            UIDropDownMenu_AddButton(info, level)

         end -- FOR

      end -- FUNCTION(initialize)
 
 
      UIDropDownMenu_Initialize(DropDownMenuLand, initialize)
      UIDropDownMenu_SetWidth(DropDownMenuLand, 100);
      UIDropDownMenu_SetButtonWidth(DropDownMenuLand, 124)
      UIDropDownMenu_SetSelectedID(DropDownMenuLand, 1)
      UIDropDownMenu_JustifyText(DropDownMenuLand, "LEFT")

	  if MountModSettings.LandMount then
         UIDropDownMenu_SetSelectedID(DropDownMenuLand, MountModSettings.LandMountValue)
      end	  

   -- FLYING MOUNTS

      if not FlyMountDrop then
         FlyMountDrop = CreateFrame("Frame", "DropDownMenuFly", MountModFrame, "UIDropDownMenuTemplate")
      end
 
      DropDownMenuFly:ClearAllPoints()
      DropDownMenuFly:SetPoint("CENTER",MountModFrame,"CENTER",65,-55)
      DropDownMenuFly:Show()
 
      local items = {}

      for i=1,GetNumCompanions("MOUNT") do

         local name,_,texture = select(2,GetCompanionInfo("MOUNT",i))
		 
		 if (FlyingMounts[name]) then
		 
            items[i] = name

	     end -- it's a flying mount
			
      end -- FOR
 
      local function FlyOnClick(self)
         
		 UIDropDownMenu_SetSelectedID(DropDownMenuFly, self:GetID())
         MountModSettings.FlyingMount = (self.value)
         MountModSettings.FlyingMountValue = self:GetID()		 
         local mountName,_,mountTexture = select(2,GetCompanionInfo("MOUNT",MountModSettings.FlyingMount))
         MountModFlyingIcon.Texture:SetTexture(mountTexture)	  
         UIErrorsFrame:AddMessage("Flying Mount Changed : "..mountName,1,0.5,0,1)
         PlaySoundFile("Sound\\interface\\KeyRingOpen.wav")
	  
      end
 
      local function initialize(self, level)
         local info = UIDropDownMenu_CreateInfo()

         for k,v in pairs(items) do

            info = UIDropDownMenu_CreateInfo()
            info.text = v
            info.value = k
            info.func = FlyOnClick
            UIDropDownMenu_AddButton(info, level)

         end -- FOR

      end -- FUNCTION(initialize)
 
      UIDropDownMenu_Initialize(DropDownMenuFly, initialize)
      UIDropDownMenu_SetWidth(DropDownMenuFly, 100);
      UIDropDownMenu_SetButtonWidth(DropDownMenuFly, 124)
      UIDropDownMenu_SetSelectedID(DropDownMenuFly, 1)
      UIDropDownMenu_JustifyText(DropDownMenuFly, "LEFT")	  
	  


      if MountModSettings.FlyingMount then
         UIDropDownMenu_SetSelectedID(DropDownMenuFly, MountModSettings.FlyingMountValue)
      end

end -- FUNCTION(RedoDropDowns

--__________________________________________________________
-- TIMER STUFF
function MountMod_TimerHandler(self,elapsed)

   MountModTimer.Time = MountModTimer.Time + elapsed
   
   if (MountModTimer.Time > 5) then
   
      MountModTimer:SetScript("OnUpdate",nil)

	  -- CREATE ANYTHING THAT NEEDS THE CHARACTER FUNCTIONS
	  
	  -- MOUNT ICONS
	  
	  if (MountModSettings.LandMount) then -- user already has a mount icon
	  
	     local texture = select(4,GetCompanionInfo("MOUNT",MountModSettings.LandMount))
         MountModLandIcon.Texture:SetTexture(texture)
	  
	  else -- default icon
	  
	     MountModLandIcon.Texture:SetTexture(MountModSettings.LandMountIcon)
	  
	  end
	  
	  if (MountModSettings.FlyingMount) then -- user already has a mount icon
	  
	     local texture = select(4,GetCompanionInfo("MOUNT",MountModSettings.FlyingMount))
         MountModFlyingIcon.Texture:SetTexture(texture)
		 
      else -- default icon
	  
	     MountModFlyingIcon.Texture:SetTexture(MountModSettings.FlyingMountIcon)
	  
	  end
	  
   RedoDropDowns()
 
   end -- IF(time up)

end -- FUNCTION

--__________________________________________________________
-- CREATE GUI

local CreateGUI = function()

   -- GUI BACKDROP

   MountModFrame:SetFrameStrata("DIALOG")
   MountModFrame:SetWidth(300)
   MountModFrame:SetHeight(200)
   MountModFrame:SetPoint("CENTER")
   MountModFrame:SetBackdrop(StaticPopup1:GetBackdrop())
   
   -- MOVABLE
   
   MountModFrame:RegisterForDrag("LeftButton")
   MountModFrame:EnableMouse(true)
   MountModFrame:SetMovable(true)
   MountModFrame:SetScript("OnDragStart",MountModFrame.StartMoving)
   MountModFrame:SetScript("OnDragStop",MountModFrame.StopMovingOrSizing)  

   -- CLOSE BUTTON
   
   MountModFrame.CloseButton = CreateFrame("Button",nil,MountModFrame,"UIPanelCloseButton")
   MountModFrame.CloseButton:SetWidth(25)
   MountModFrame.CloseButton:SetHeight(25)
   MountModFrame.CloseButton:SetPoint("TOPRIGHT",MountModFrame,"TOPRIGHT",-10,-10)   
   
   -- LAND ICON (default)

   MountModLandIcon = CreateFrame("Button",nil,MountModFrame)
   MountModLandIcon.Texture = MountModLandIcon:CreateTexture(nil,"BACKGROUND")
   MountModLandIcon.Texture:SetAllPoints(MountModLandIcon)

   MountModLandIcon:SetScript("OnMouseDown",function() 
   
      if (MountModSettings.LandMount) then
	 
	     if (IsMounted()) then
		    Dismount()
		 else
	        CallCompanion("MOUNT",MountModSettings.LandMount)
         end
	  end 
   
   end)

   -- LAND HIGHLIGHT
   
   MountModLandIcon:SetHighlightTexture("Interface\\BUTTONS\\UI-Quickslot-Depress")
   
   -- LAND TEXT
   
   MountModFrame.LandText = MountModFrame:CreateFontString(nil,nil,"GameFontNormal")
   MountModFrame.LandText:SetPoint("CENTER",MountModFrame,"CENTER",-60,60)
   MountModFrame.LandText:SetText("land mount")
   
   MountModLandIcon:SetWidth(50)
   MountModLandIcon:SetHeight(50)
   MountModLandIcon:SetPoint("CENTER",MountModFrame,"CENTER",-60,5)

   -- FLYING ICON (default)
   
   MountModFlyingIcon = CreateFrame("Button",nil,MountModFrame)
   MountModFlyingIcon.Texture = MountModFlyingIcon:CreateTexture(nil,"BACKGROUND")
   MountModFlyingIcon.Texture:SetAllPoints(MountModFlyingIcon)
   
   MountModFlyingIcon:SetScript("OnMouseDown",function() 
   
      if (MountModSettings.FlyingMount) then
	 
	     if (IsMounted()) then
		    Dismount()
		 else
	        CallCompanion("MOUNT",MountModSettings.FlyingMount)
         end
	  end 
   
   end)   
   
   -- FLYING HIGHLIGHT
   
   MountModFlyingIcon:SetHighlightTexture("Interface\\BUTTONS\\UI-Quickslot-Depress")   
   
   -- FLYING TEXT
   
   MountModFrame.FlyText = MountModFrame:CreateFontString(nil,nil,"GameFontNormal")
   MountModFrame.FlyText:SetPoint("CENTER",MountModFrame,"CENTER",60,60)
   MountModFrame.FlyText:SetText("flying mount")   

   MountModFlyingIcon:SetWidth(50)
   MountModFlyingIcon:SetHeight(50)
   MountModFlyingIcon:SetPoint("CENTER",MountModFrame,"CENTER",60,5)

   if not (MountModSettings.LandMount) then

      MountModFrame:Show()

   else

      MountModFrame:Hide()
   
   end   

end -- FUNCTION

--__________________________________________________________
-- VARIABLES LOADED

MountMod_VariablesHandler = function()

   if not (MountModSettings) or (MountModSettings.Version < CURRENT_VERSION) then
   
      MountModSettings = {}
   
      MountModSettings.Version = CURRENT_VERSION
      MountModSettings.LandMount = false
	  MountModSettings.LandMountIcon = "Interface\\ICONS\\INV_Misc_QuestionMark"
	  MountModSettings.FlyingMount = false
	  MountModSettings.FlyingMountIcon = "Interface\\ICONS\\INV_Misc_QuestionMark"
	  MountModSettings.LandMountValue = 1
	  MountModSettings.FlyingMountValue = 1
	  
	  print(prefix.." Settings updated to version "..CURRENT_VERSION)
	  print(prefix.." Type /mount to set your mounts, OR")
	  print(prefix.." Set a mounting Hotkey using the default keybindings menu")
	  
   end

   CreateGUI() -- create as much as possible, then time down to create the rest
   MountModTimer.Time = 0
   MountModTimer:SetScript("OnUpdate",MountMod_TimerHandler)

end -- FUNCTION

--__________________________________________________________

MountMod_MountingHandler = function()

   if (IsMounted()) then
      Dismount()
	  return
   end
   
   if (IsFlyableArea()) and (MountModSettings.FlyingMount) then
   
      CallCompanion("MOUNT",MountModSettings.FlyingMount)
   
   else
   
      if (GetRealZoneText() == "Wintergrasp") and (GetWintergraspWaitTime()) and (MountModSettings.FlyingMount) then
	  
	     CallCompanion("MOUNT",MountModSettings.FlyingMount)
	  
	  elseif (MountModSettings.LandMount) then
	  
	     CallCompanion("MOUNT",MountModSettings.LandMount)
	  
	  end -- IF/ELSE
   
   end -- IF/ELSE

end -- FUNCTION(MountingHandler)

--__________________________________________________________
-- MOUNT SELECTION BINDING

MountMod_MountSelection = function()

   if (MountModFrame:IsShown()) then -- HIDE IT
   
      MountModFrame:Hide()
   
   else -- SHOW IT
   
      MountModFrame:Show()
	  RedoDropDowns()
	  
   end -- IF/ELSE
  
end -- FUNCTION(MountSelection)
--__________________________________________________________

-- SLASH COMMAND

SLASH_MOUNT1,SLASH_MOUNT2 = "/mount","/mounts"

SlashCmdList["MOUNT"] = function()

   MountModFrame:Show()

end -- FUNCTION
--__________________________________________________________

MountModFrame:RegisterEvent("VARIABLES_LOADED")
MountModFrame:SetScript("OnEvent",MountMod_VariablesHandler)

--_______________________________________
-- SUMMON SPECIFIC MOUNTS

function MountMod_SummonLand()

   if (MountModSettings.LandMount) then
   
      if (IsMounted()) then

         Dismount()

      else

         CallCompanion("MOUNT",MountModSettings.LandMount)
   
      end

   else

      print(prefix.." No land mount set")

   end

end -- FUNCTION(LAND)

function MountMod_SummonFly()

   if (MountModSettings.FlyingMount) then

      if (IsMounted()) then

         Dismount()

      else
   
         CallCompanion("MOUNT",MountModSettings.FlyingMount)
   
      end

   else

      print(prefix.." No flying mount set")

   end

end -- FUNCTION(FLY)
















